Package: gsl / 2.5+dfsg-6

dont-disable-deprecated Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
Description: <short summary of the patch>
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 gsl (2.2.1+dfsg-2) unstable; urgency=medium
 .
   * debian/patches/dont-disable-deprecated: Re-apply first half of patch
     by Iain Lane to not disable deprecated functions (Closes: #841611)
Author: Dirk Eddelbuettel <edd@debian.org>
Bug-Debian: https://bugs.debian.org/841611

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: <YYYY-MM-DD>

--- gsl-2.2.1+dfsg.orig/configure.ac
+++ gsl-2.2.1+dfsg/configure.ac
@@ -575,9 +575,9 @@ AH_BOTTOM([#if defined(GSL_RANGE_CHECK_O
 AH_BOTTOM([#define RETURN_IF_NULL(x) if (!x) { return ; }
 ])
 
-AH_VERBATIM([GSL_DISABLE_DEPRECATED],
-[/* Disable deprecated functions and enums while building */
-#define GSL_DISABLE_DEPRECATED 1])
+dnl AH_VERBATIM([GSL_DISABLE_DEPRECATED],
+dnl [/* Disable deprecated functions and enums while building */
+dnl #define GSL_DISABLE_DEPRECATED 1])
 
 dnl
 AC_CONFIG_FILES([            \